com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface DatabasePackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface DatabasePackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `DatabaseFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DatabasePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COLUMN_METADATA` The meta object id for the '`Column Metadata`' class
    `static int` | `COLUMN_METADATA__COLUMN_NAME` The feature id for the 'Column Name' attribute
    `static int` | `COLUMN_METADATA__COLUMN_SIZE` The feature id for the 'Column Size' attribute
    `static int` | `COLUMN_METADATA__DECIMAL_DIGITS` The feature id for the 'Decimal Digits' attribute
    `static int` | `COLUMN_METADATA__JDBC_DATA_TYPE` The feature id for the 'Jdbc Data Type' attribute
    `static int` | `COLUMN_METADATA__SQL_DATA_TYPE` The feature id for the 'Sql Data Type' attribute
    `static int` | `COLUMN_METADATA_FEATURE_COUNT` The number of structural features of the 'Column Metadata' class
    `static int` | `DATABASE_METADATA` The meta object id for the '`Metadata`' class
    `static int` | `DATABASE_METADATA__IMPORT_DATE` The feature id for the 'Import Date' attribute
    `static int` | `DATABASE_METADATA__TABLE_METADATA_LIST` The feature id for the 'Table Metadata List' containment reference list
    `static int` | `DATABASE_METADATA_FEATURE_COUNT` The number of structural features of the 'Metadata' class
    `static DatabasePackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `FOREIGN_KEY_COLUMN_METADATA` The meta object id for the '`Foreign Key Column Metadata`' class
    `static int` | `FOREIGN_KEY_COLUMN_METADATA__FOREIGN_KEY_COLUMN_NAME` The feature id for the 'Foreign Key Column Name' attribute
    `static int` | `FOREIGN_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME` The feature id for the 'Primary Key Column Name' attribute
    `static int` | `FOREIGN_KEY_COLUMN_METADATA__SEQUENCE_NUMBER` The feature id for the 'Sequence Number' attribute
    `static int` | `FOREIGN_KEY_COLUMN_METADATA_FEATURE_COUNT` The number of structural features of the 'Foreign Key Column Metadata' class
    `static int` | `FOREIGN_KEY_METADATA` The meta object id for the '`Foreign Key Metadata`' class
    `static int` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_CATALOG_NAME` The feature id for the 'Foreign Key Catalog Name' attribute
    `static int` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_COLUMN_METADATA_LIST` The feature id for the 'Foreign Key Column Metadata List' containment reference list
    `static int` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_NAME` The feature id for the 'Foreign Key Name' attribute
    `static int` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_SCHEMA_NAME` The feature id for the 'Foreign Key Schema Name' attribute
    `static int` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_TABLE_NAME` The feature id for the 'Foreign Key Table Name' attribute
    `static int` | `FOREIGN_KEY_METADATA_FEATURE_COUNT` The number of structural features of the 'Foreign Key Metadata' class
    `static int` | `PRIMARY_KEY_COLUMN_METADATA` The meta object id for the '`Primary Key Column Metadata`' class
    `static int` | `PRIMARY_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME` The feature id for the 'Primary Key Column Name' attribute
    `static int` | `PRIMARY_KEY_COLUMN_METADATA__SEQUENCE_NUMBER` The feature id for the 'Sequence Number' attribute
    `static int` | `PRIMARY_KEY_COLUMN_METADATA_FEATURE_COUNT` The number of structural features of the 'Primary Key Column Metadata' class
    `static int` | `PRIMARY_KEY_METADATA` The meta object id for the '`Primary Key Metadata`' class
    `static int` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_CATALOG_NAME` The feature id for the 'Primary Key Catalog Name' attribute
    `static int` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_COLUMN_METADATA_LIST` The feature id for the 'Primary Key Column Metadata List' containment reference list
    `static int` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_NAME` The feature id for the 'Primary Key Name' attribute
    `static int` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_SCHEMA_NAME` The feature id for the 'Primary Key Schema Name' attribute
    `static int` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_TABLE_NAME` The feature id for the 'Primary Key Table Name' attribute
    `static int` | `PRIMARY_KEY_METADATA_FEATURE_COUNT` The number of structural features of the 'Primary Key Metadata' class
    `static int` | `TABLE_METADATA` The meta object id for the '`Table Metadata`' class
    `static int` | `TABLE_METADATA__CATALOG_NAME` The feature id for the 'Catalog Name' attribute
    `static int` | `TABLE_METADATA__COLUMN_METADATA_LIST` The feature id for the 'Column Metadata List' containment reference list
    `static int` | `TABLE_METADATA__FOREIGN_KEY_METADATA_LIST` The feature id for the 'Foreign Key Metadata List' containment reference list
    `static int` | `TABLE_METADATA__PRIMARY_KEY_METADATA_LIST` The feature id for the 'Primary Key Metadata List' containment reference list
    `static int` | `TABLE_METADATA__SCHEMA_NAME` The feature id for the 'Schema Name' attribute
    `static int` | `TABLE_METADATA__TABLE_NAME` The feature id for the 'Table Name' attribute
    `static int` | `TABLE_METADATA__TABLE_TYPE` The feature id for the 'Table Type' attribute
    `static int` | `TABLE_METADATA_FEATURE_COUNT` The number of structural features of the 'Table Metadata' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EAttribute` | `getColumnMetadata_ColumnName()` Returns the meta object for the attribute '`Column Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getColumnMetadata_ColumnSize()` Returns the meta object for the attribute '`Column Size`'
    `org.eclipse.emf.ecore.EAttribute` | `getColumnMetadata_DecimalDigits()` Returns the meta object for the attribute '`Decimal Digits`'
    `org.eclipse.emf.ecore.EAttribute` | `getColumnMetadata_JdbcDataType()` Returns the meta object for the attribute '`Jdbc Data Type`'
    `org.eclipse.emf.ecore.EAttribute` | `getColumnMetadata_SqlDataType()` Returns the meta object for the attribute '`Sql Data Type`'
    `org.eclipse.emf.ecore.EClass` | `getColumnMetadata()` Returns the meta object for class '`Column Metadata`'
    `DatabaseFactory` | `getDatabaseFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EAttribute` | `getDatabaseMetadata_ImportDate()` Returns the meta object for the attribute '`Import Date`'
    `org.eclipse.emf.ecore.EReference` | `getDatabaseMetadata_TableMetadataList()` Returns the meta object for the containment reference list '`Table Metadata List`'
    `org.eclipse.emf.ecore.EClass` | `getDatabaseMetadata()` Returns the meta object for class '`Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyColumnMetadata_ForeignKeyColumnName()` Returns the meta object for the attribute '`Foreign Key Column Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyColumnMetadata_PrimaryKeyColumnName()` Returns the meta object for the attribute '`Primary Key Column Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyColumnMetadata_SequenceNumber()` Returns the meta object for the attribute '`Sequence Number`'
    `org.eclipse.emf.ecore.EClass` | `getForeignKeyColumnMetadata()` Returns the meta object for class '`Foreign Key Column Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyMetadata_ForeignKeyCatalogName()` Returns the meta object for the attribute '`Foreign Key Catalog Name`'
    `org.eclipse.emf.ecore.EReference` | `getForeignKeyMetadata_ForeignKeyColumnMetadataList()` Returns the meta object for the containment reference list '`Foreign Key Column Metadata List`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyMetadata_ForeignKeyName()` Returns the meta object for the attribute '`Foreign Key Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyMetadata_ForeignKeySchemaName()` Returns the meta object for the attribute '`Foreign Key Schema Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getForeignKeyMetadata_ForeignKeyTableName()` Returns the meta object for the attribute '`Foreign Key Table Name`'
    `org.eclipse.emf.ecore.EClass` | `getForeignKeyMetadata()` Returns the meta object for class '`Foreign Key Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getPrimaryKeyColumnMetadata_PrimaryKeyColumnName()` Returns the meta object for the attribute '`Primary Key Column Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getPrimaryKeyColumnMetadata_SequenceNumber()` Returns the meta object for the attribute '`Sequence Number`'
    `org.eclipse.emf.ecore.EClass` | `getPrimaryKeyColumnMetadata()` Returns the meta object for class '`Primary Key Column Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getPrimaryKeyMetadata_PrimaryKeyCatalogName()` Returns the meta object for the attribute '`Primary Key Catalog Name`'
    `org.eclipse.emf.ecore.EReference` | `getPrimaryKeyMetadata_PrimaryKeyColumnMetadataList()` Returns the meta object for the containment reference list '`Primary Key Column Metadata List`'
    `org.eclipse.emf.ecore.EAttribute` | `getPrimaryKeyMetadata_PrimaryKeyName()` Returns the meta object for the attribute '`Primary Key Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getPrimaryKeyMetadata_PrimaryKeySchemaName()` Returns the meta object for the attribute '`Primary Key Schema Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getPrimaryKeyMetadata_PrimaryKeyTableName()` Returns the meta object for the attribute '`Primary Key Table Name`'
    `org.eclipse.emf.ecore.EClass` | `getPrimaryKeyMetadata()` Returns the meta object for class '`Primary Key Metadata`'
    `org.eclipse.emf.ecore.EAttribute` | `getTableMetadata_CatalogName()` Returns the meta object for the attribute '`Catalog Name`'
    `org.eclipse.emf.ecore.EReference` | `getTableMetadata_ColumnMetadataList()` Returns the meta object for the containment reference list '`Column Metadata List`'
    `org.eclipse.emf.ecore.EReference` | `getTableMetadata_ForeignKeyMetadataList()` Returns the meta object for the containment reference list '`Foreign Key Metadata List`'
    `org.eclipse.emf.ecore.EReference` | `getTableMetadata_PrimaryKeyMetadataList()` Returns the meta object for the containment reference list '`Primary Key Metadata List`'
    `org.eclipse.emf.ecore.EAttribute` | `getTableMetadata_SchemaName()` Returns the meta object for the attribute '`Schema Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getTableMetadata_TableName()` Returns the meta object for the attribute '`Table Name`'
    `org.eclipse.emf.ecore.EAttribute` | `getTableMetadata_TableType()` Returns the meta object for the attribute '`Table Type`'
    `org.eclipse.emf.ecore.EClass` | `getTableMetadata()` Returns the meta object for class '`Table Metadata`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final DatabasePackage eINSTANCE

      The singleton instance of the package.

    - #### TABLE_METADATA

          static final int TABLE_METADATA

      The meta object id for the '`Table Metadata`' class.
      See Also:
        `TableMetadataImpl`, `DatabasePackageImpl.getTableMetadata()`, Constant Field Values

    - #### TABLE_METADATA__CATALOG_NAME

          static final int TABLE_METADATA__CATALOG_NAME

      The feature id for the 'Catalog Name' attribute.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA__SCHEMA_NAME

          static final int TABLE_METADATA__SCHEMA_NAME

      The feature id for the 'Schema Name' attribute.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA__TABLE_NAME

          static final int TABLE_METADATA__TABLE_NAME

      The feature id for the 'Table Name' attribute.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA__TABLE_TYPE

          static final int TABLE_METADATA__TABLE_TYPE

      The feature id for the 'Table Type' attribute.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA__COLUMN_METADATA_LIST

          static final int TABLE_METADATA__COLUMN_METADATA_LIST

      The feature id for the 'Column Metadata List' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA__PRIMARY_KEY_METADATA_LIST

          static final int TABLE_METADATA__PRIMARY_KEY_METADATA_LIST

      The feature id for the 'Primary Key Metadata List' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA__FOREIGN_KEY_METADATA_LIST

          static final int TABLE_METADATA__FOREIGN_KEY_METADATA_LIST

      The feature id for the 'Foreign Key Metadata List' containment reference list.
      See Also:
        Constant Field Values

    - #### TABLE_METADATA_FEATURE_COUNT

          static final int TABLE_METADATA_FEATURE_COUNT

      The number of structural features of the 'Table Metadata' class.
      See Also:
        Constant Field Values

    - #### COLUMN_METADATA

          static final int COLUMN_METADATA

      The meta object id for the '`Column Metadata`' class.
      See Also:
        `ColumnMetadataImpl`, `DatabasePackageImpl.getColumnMetadata()`, Constant Field Values

    - #### COLUMN_METADATA__COLUMN_NAME

          static final int COLUMN_METADATA__COLUMN_NAME

      The feature id for the 'Column Name' attribute.
      See Also:
        Constant Field Values

    - #### COLUMN_METADATA__JDBC_DATA_TYPE

          static final int COLUMN_METADATA__JDBC_DATA_TYPE

      The feature id for the 'Jdbc Data Type' attribute.
      See Also:
        Constant Field Values

    - #### COLUMN_METADATA__SQL_DATA_TYPE

          static final int COLUMN_METADATA__SQL_DATA_TYPE

      The feature id for the 'Sql Data Type' attribute.
      See Also:
        Constant Field Values

    - #### COLUMN_METADATA__COLUMN_SIZE

          static final int COLUMN_METADATA__COLUMN_SIZE

      The feature id for the 'Column Size' attribute.
      See Also:
        Constant Field Values

    - #### COLUMN_METADATA__DECIMAL_DIGITS

          static final int COLUMN_METADATA__DECIMAL_DIGITS

      The feature id for the 'Decimal Digits' attribute.
      See Also:
        Constant Field Values

    - #### COLUMN_METADATA_FEATURE_COUNT

          static final int COLUMN_METADATA_FEATURE_COUNT

      The number of structural features of the 'Column Metadata' class.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_METADATA

          static final int PRIMARY_KEY_METADATA

      The meta object id for the '`Primary Key Metadata`' class.
      See Also:
        `PrimaryKeyMetadataImpl`, `DatabasePackageImpl.getPrimaryKeyMetadata()`, Constant Field Values

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_NAME

          static final int PRIMARY_KEY_METADATA__PRIMARY_KEY_NAME

      The feature id for the 'Primary Key Name' attribute.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_CATALOG_NAME

          static final int PRIMARY_KEY_METADATA__PRIMARY_KEY_CATALOG_NAME

      The feature id for the 'Primary Key Catalog Name' attribute.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_SCHEMA_NAME

          static final int PRIMARY_KEY_METADATA__PRIMARY_KEY_SCHEMA_NAME

      The feature id for the 'Primary Key Schema Name' attribute.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_TABLE_NAME

          static final int PRIMARY_KEY_METADATA__PRIMARY_KEY_TABLE_NAME

      The feature id for the 'Primary Key Table Name' attribute.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_COLUMN_METADATA_LIST

          static final int PRIMARY_KEY_METADATA__PRIMARY_KEY_COLUMN_METADATA_LIST

      The feature id for the 'Primary Key Column Metadata List' containment reference list.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_METADATA_FEATURE_COUNT

          static final int PRIMARY_KEY_METADATA_FEATURE_COUNT

      The number of structural features of the 'Primary Key Metadata' class.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_METADATA

          static final int FOREIGN_KEY_METADATA

      The meta object id for the '`Foreign Key Metadata`' class.
      See Also:
        `ForeignKeyMetadataImpl`, `DatabasePackageImpl.getForeignKeyMetadata()`, Constant Field Values

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_NAME

          static final int FOREIGN_KEY_METADATA__FOREIGN_KEY_NAME

      The feature id for the 'Foreign Key Name' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_CATALOG_NAME

          static final int FOREIGN_KEY_METADATA__FOREIGN_KEY_CATALOG_NAME

      The feature id for the 'Foreign Key Catalog Name' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_SCHEMA_NAME

          static final int FOREIGN_KEY_METADATA__FOREIGN_KEY_SCHEMA_NAME

      The feature id for the 'Foreign Key Schema Name' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_TABLE_NAME

          static final int FOREIGN_KEY_METADATA__FOREIGN_KEY_TABLE_NAME

      The feature id for the 'Foreign Key Table Name' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_COLUMN_METADATA_LIST

          static final int FOREIGN_KEY_METADATA__FOREIGN_KEY_COLUMN_METADATA_LIST

      The feature id for the 'Foreign Key Column Metadata List' containment reference list.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_METADATA_FEATURE_COUNT

          static final int FOREIGN_KEY_METADATA_FEATURE_COUNT

      The number of structural features of the 'Foreign Key Metadata' class.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_COLUMN_METADATA

          static final int PRIMARY_KEY_COLUMN_METADATA

      The meta object id for the '`Primary Key Column Metadata`' class.
      See Also:
        `PrimaryKeyColumnMetadataImpl`, `DatabasePackageImpl.getPrimaryKeyColumnMetadata()`, Constant Field Values

    - #### PRIMARY_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

          static final int PRIMARY_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

      The feature id for the 'Sequence Number' attribute.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

          static final int PRIMARY_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

      The feature id for the 'Primary Key Column Name' attribute.
      See Also:
        Constant Field Values

    - #### PRIMARY_KEY_COLUMN_METADATA_FEATURE_COUNT

          static final int PRIMARY_KEY_COLUMN_METADATA_FEATURE_COUNT

      The number of structural features of the 'Primary Key Column Metadata' class.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_COLUMN_METADATA

          static final int FOREIGN_KEY_COLUMN_METADATA

      The meta object id for the '`Foreign Key Column Metadata`' class.
      See Also:
        `ForeignKeyColumnMetadataImpl`, `DatabasePackageImpl.getForeignKeyColumnMetadata()`, Constant Field Values

    - #### FOREIGN_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

          static final int FOREIGN_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

      The feature id for the 'Sequence Number' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_COLUMN_METADATA__FOREIGN_KEY_COLUMN_NAME

          static final int FOREIGN_KEY_COLUMN_METADATA__FOREIGN_KEY_COLUMN_NAME

      The feature id for the 'Foreign Key Column Name' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

          static final int FOREIGN_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

      The feature id for the 'Primary Key Column Name' attribute.
      See Also:
        Constant Field Values

    - #### FOREIGN_KEY_COLUMN_METADATA_FEATURE_COUNT

          static final int FOREIGN_KEY_COLUMN_METADATA_FEATURE_COUNT

      The number of structural features of the 'Foreign Key Column Metadata' class.
      See Also:
        Constant Field Values

    - #### DATABASE_METADATA

          static final int DATABASE_METADATA

      The meta object id for the '`Metadata`' class.
      See Also:
        `DatabaseMetadataImpl`, `DatabasePackageImpl.getDatabaseMetadata()`, Constant Field Values

    - #### DATABASE_METADATA__IMPORT_DATE

          static final int DATABASE_METADATA__IMPORT_DATE

      The feature id for the 'Import Date' attribute.
      See Also:
        Constant Field Values

    - #### DATABASE_METADATA__TABLE_METADATA_LIST

          static final int DATABASE_METADATA__TABLE_METADATA_LIST

      The feature id for the 'Table Metadata List' containment reference list.
      See Also:
        Constant Field Values

    - #### DATABASE_METADATA_FEATURE_COUNT

          static final int DATABASE_METADATA_FEATURE_COUNT

      The number of structural features of the 'Metadata' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTableMetadata

          org.eclipse.emf.ecore.EClass getTableMetadata()

      Returns the meta object for class '`Table Metadata`'.
      Returns:
        the meta object for class 'Table Metadata'.
      See Also:
        `TableMetadata`

    - #### getTableMetadata_CatalogName

          org.eclipse.emf.ecore.EAttribute getTableMetadata_CatalogName()

      Returns the meta object for the attribute '`Catalog Name`'.
      Returns:
        the meta object for the attribute 'Catalog Name'.
      See Also:
        `TableMetadata.getCatalogName()`, `getTableMetadata()`

    - #### getTableMetadata_SchemaName

          org.eclipse.emf.ecore.EAttribute getTableMetadata_SchemaName()

      Returns the meta object for the attribute '`Schema Name`'.
      Returns:
        the meta object for the attribute 'Schema Name'.
      See Also:
        `TableMetadata.getSchemaName()`, `getTableMetadata()`

    - #### getTableMetadata_TableName

          org.eclipse.emf.ecore.EAttribute getTableMetadata_TableName()

      Returns the meta object for the attribute '`Table Name`'.
      Returns:
        the meta object for the attribute 'Table Name'.
      See Also:
        `TableMetadata.getTableName()`, `getTableMetadata()`

    - #### getTableMetadata_TableType

          org.eclipse.emf.ecore.EAttribute getTableMetadata_TableType()

      Returns the meta object for the attribute '`Table Type`'.
      Returns:
        the meta object for the attribute 'Table Type'.
      See Also:
        `TableMetadata.getTableType()`, `getTableMetadata()`

    - #### getTableMetadata_ColumnMetadataList

          org.eclipse.emf.ecore.EReference getTableMetadata_ColumnMetadataList()

      Returns the meta object for the containment reference list '`Column Metadata List`'.
      Returns:
        the meta object for the containment reference list 'Column Metadata List'.
      See Also:
        `TableMetadata.getColumnMetadataList()`, `getTableMetadata()`

    - #### getTableMetadata_PrimaryKeyMetadataList

          org.eclipse.emf.ecore.EReference getTableMetadata_PrimaryKeyMetadataList()

      Returns the meta object for the containment reference list '`Primary Key Metadata List`'.
      Returns:
        the meta object for the containment reference list 'Primary Key Metadata List'.
      See Also:
        `TableMetadata.getPrimaryKeyMetadataList()`, `getTableMetadata()`

    - #### getTableMetadata_ForeignKeyMetadataList

          org.eclipse.emf.ecore.EReference getTableMetadata_ForeignKeyMetadataList()

      Returns the meta object for the containment reference list '`Foreign Key Metadata List`'.
      Returns:
        the meta object for the containment reference list 'Foreign Key Metadata List'.
      See Also:
        `TableMetadata.getForeignKeyMetadataList()`, `getTableMetadata()`

    - #### getColumnMetadata

          org.eclipse.emf.ecore.EClass getColumnMetadata()

      Returns the meta object for class '`Column Metadata`'.
      Returns:
        the meta object for class 'Column Metadata'.
      See Also:
        `ColumnMetadata`

    - #### getColumnMetadata_ColumnName

          org.eclipse.emf.ecore.EAttribute getColumnMetadata_ColumnName()

      Returns the meta object for the attribute '`Column Name`'.
      Returns:
        the meta object for the attribute 'Column Name'.
      See Also:
        `ColumnMetadata.getColumnName()`, `getColumnMetadata()`

    - #### getColumnMetadata_JdbcDataType

          org.eclipse.emf.ecore.EAttribute getColumnMetadata_JdbcDataType()

      Returns the meta object for the attribute '`Jdbc Data Type`'.
      Returns:
        the meta object for the attribute 'Jdbc Data Type'.
      See Also:
        `ColumnMetadata.getJdbcDataType()`, `getColumnMetadata()`

    - #### getColumnMetadata_SqlDataType

          org.eclipse.emf.ecore.EAttribute getColumnMetadata_SqlDataType()

      Returns the meta object for the attribute '`Sql Data Type`'.
      Returns:
        the meta object for the attribute 'Sql Data Type'.
      See Also:
        `ColumnMetadata.getSqlDataType()`, `getColumnMetadata()`

    - #### getColumnMetadata_ColumnSize

          org.eclipse.emf.ecore.EAttribute getColumnMetadata_ColumnSize()

      Returns the meta object for the attribute '`Column Size`'.
      Returns:
        the meta object for the attribute 'Column Size'.
      See Also:
        `ColumnMetadata.getColumnSize()`, `getColumnMetadata()`

    - #### getColumnMetadata_DecimalDigits

          org.eclipse.emf.ecore.EAttribute getColumnMetadata_DecimalDigits()

      Returns the meta object for the attribute '`Decimal Digits`'.
      Returns:
        the meta object for the attribute 'Decimal Digits'.
      See Also:
        `ColumnMetadata.getDecimalDigits()`, `getColumnMetadata()`

    - #### getPrimaryKeyMetadata

          org.eclipse.emf.ecore.EClass getPrimaryKeyMetadata()

      Returns the meta object for class '`Primary Key Metadata`'.
      Returns:
        the meta object for class 'Primary Key Metadata'.
      See Also:
        `PrimaryKeyMetadata`

    - #### getPrimaryKeyMetadata_PrimaryKeyName

          org.eclipse.emf.ecore.EAttribute getPrimaryKeyMetadata_PrimaryKeyName()

      Returns the meta object for the attribute '`Primary Key Name`'.
      Returns:
        the meta object for the attribute 'Primary Key Name'.
      See Also:
        `PrimaryKeyMetadata.getPrimaryKeyName()`, `getPrimaryKeyMetadata()`

    - #### getPrimaryKeyMetadata_PrimaryKeyCatalogName

          org.eclipse.emf.ecore.EAttribute getPrimaryKeyMetadata_PrimaryKeyCatalogName()

      Returns the meta object for the attribute '`Primary Key Catalog Name`'.
      Returns:
        the meta object for the attribute 'Primary Key Catalog Name'.
      See Also:
        `PrimaryKeyMetadata.getPrimaryKeyCatalogName()`, `getPrimaryKeyMetadata()`

    - #### getPrimaryKeyMetadata_PrimaryKeySchemaName

          org.eclipse.emf.ecore.EAttribute getPrimaryKeyMetadata_PrimaryKeySchemaName()

      Returns the meta object for the attribute '`Primary Key Schema Name`'.
      Returns:
        the meta object for the attribute 'Primary Key Schema Name'.
      See Also:
        `PrimaryKeyMetadata.getPrimaryKeySchemaName()`, `getPrimaryKeyMetadata()`

    - #### getPrimaryKeyMetadata_PrimaryKeyTableName

          org.eclipse.emf.ecore.EAttribute getPrimaryKeyMetadata_PrimaryKeyTableName()

      Returns the meta object for the attribute '`Primary Key Table Name`'.
      Returns:
        the meta object for the attribute 'Primary Key Table Name'.
      See Also:
        `PrimaryKeyMetadata.getPrimaryKeyTableName()`, `getPrimaryKeyMetadata()`

    - #### getPrimaryKeyMetadata_PrimaryKeyColumnMetadataList

          org.eclipse.emf.ecore.EReference getPrimaryKeyMetadata_PrimaryKeyColumnMetadataList()

      Returns the meta object for the containment reference list '`Primary Key Column Metadata List`'.
      Returns:
        the meta object for the containment reference list 'Primary Key Column Metadata List'.
      See Also:
        `PrimaryKeyMetadata.getPrimaryKeyColumnMetadataList()`, `getPrimaryKeyMetadata()`

    - #### getForeignKeyMetadata

          org.eclipse.emf.ecore.EClass getForeignKeyMetadata()

      Returns the meta object for class '`Foreign Key Metadata`'.
      Returns:
        the meta object for class 'Foreign Key Metadata'.
      See Also:
        `ForeignKeyMetadata`

    - #### getForeignKeyMetadata_ForeignKeyName

          org.eclipse.emf.ecore.EAttribute getForeignKeyMetadata_ForeignKeyName()

      Returns the meta object for the attribute '`Foreign Key Name`'.
      Returns:
        the meta object for the attribute 'Foreign Key Name'.
      See Also:
        `ForeignKeyMetadata.getForeignKeyName()`, `getForeignKeyMetadata()`

    - #### getForeignKeyMetadata_ForeignKeyCatalogName

          org.eclipse.emf.ecore.EAttribute getForeignKeyMetadata_ForeignKeyCatalogName()

      Returns the meta object for the attribute '`Foreign Key Catalog Name`'.
      Returns:
        the meta object for the attribute 'Foreign Key Catalog Name'.
      See Also:
        `ForeignKeyMetadata.getForeignKeyCatalogName()`, `getForeignKeyMetadata()`

    - #### getForeignKeyMetadata_ForeignKeySchemaName

          org.eclipse.emf.ecore.EAttribute getForeignKeyMetadata_ForeignKeySchemaName()

      Returns the meta object for the attribute '`Foreign Key Schema Name`'.
      Returns:
        the meta object for the attribute 'Foreign Key Schema Name'.
      See Also:
        `ForeignKeyMetadata.getForeignKeySchemaName()`, `getForeignKeyMetadata()`

    - #### getForeignKeyMetadata_ForeignKeyTableName

          org.eclipse.emf.ecore.EAttribute getForeignKeyMetadata_ForeignKeyTableName()

      Returns the meta object for the attribute '`Foreign Key Table Name`'.
      Returns:
        the meta object for the attribute 'Foreign Key Table Name'.
      See Also:
        `ForeignKeyMetadata.getForeignKeyTableName()`, `getForeignKeyMetadata()`

    - #### getForeignKeyMetadata_ForeignKeyColumnMetadataList

          org.eclipse.emf.ecore.EReference getForeignKeyMetadata_ForeignKeyColumnMetadataList()

      Returns the meta object for the containment reference list '`Foreign Key Column Metadata List`'.
      Returns:
        the meta object for the containment reference list 'Foreign Key Column Metadata List'.
      See Also:
        `ForeignKeyMetadata.getForeignKeyColumnMetadataList()`, `getForeignKeyMetadata()`

    - #### getPrimaryKeyColumnMetadata

          org.eclipse.emf.ecore.EClass getPrimaryKeyColumnMetadata()

      Returns the meta object for class '`Primary Key Column Metadata`'.
      Returns:
        the meta object for class 'Primary Key Column Metadata'.
      See Also:
        `PrimaryKeyColumnMetadata`

    - #### getPrimaryKeyColumnMetadata_SequenceNumber

          org.eclipse.emf.ecore.EAttribute getPrimaryKeyColumnMetadata_SequenceNumber()

      Returns the meta object for the attribute '`Sequence Number`'.
      Returns:
        the meta object for the attribute 'Sequence Number'.
      See Also:
        `PrimaryKeyColumnMetadata.getSequenceNumber()`, `getPrimaryKeyColumnMetadata()`

    - #### getPrimaryKeyColumnMetadata_PrimaryKeyColumnName

          org.eclipse.emf.ecore.EAttribute getPrimaryKeyColumnMetadata_PrimaryKeyColumnName()

      Returns the meta object for the attribute '`Primary Key Column Name`'.
      Returns:
        the meta object for the attribute 'Primary Key Column Name'.
      See Also:
        `PrimaryKeyColumnMetadata.getPrimaryKeyColumnName()`, `getPrimaryKeyColumnMetadata()`

    - #### getForeignKeyColumnMetadata

          org.eclipse.emf.ecore.EClass getForeignKeyColumnMetadata()

      Returns the meta object for class '`Foreign Key Column Metadata`'.
      Returns:
        the meta object for class 'Foreign Key Column Metadata'.
      See Also:
        `ForeignKeyColumnMetadata`

    - #### getForeignKeyColumnMetadata_SequenceNumber

          org.eclipse.emf.ecore.EAttribute getForeignKeyColumnMetadata_SequenceNumber()

      Returns the meta object for the attribute '`Sequence Number`'.
      Returns:
        the meta object for the attribute 'Sequence Number'.
      See Also:
        `ForeignKeyColumnMetadata.getSequenceNumber()`, `getForeignKeyColumnMetadata()`

    - #### getForeignKeyColumnMetadata_ForeignKeyColumnName

          org.eclipse.emf.ecore.EAttribute getForeignKeyColumnMetadata_ForeignKeyColumnName()

      Returns the meta object for the attribute '`Foreign Key Column Name`'.
      Returns:
        the meta object for the attribute 'Foreign Key Column Name'.
      See Also:
        `ForeignKeyColumnMetadata.getForeignKeyColumnName()`, `getForeignKeyColumnMetadata()`

    - #### getForeignKeyColumnMetadata_PrimaryKeyColumnName

          org.eclipse.emf.ecore.EAttribute getForeignKeyColumnMetadata_PrimaryKeyColumnName()

      Returns the meta object for the attribute '`Primary Key Column Name`'.
      Returns:
        the meta object for the attribute 'Primary Key Column Name'.
      See Also:
        `ForeignKeyColumnMetadata.getPrimaryKeyColumnName()`, `getForeignKeyColumnMetadata()`

    - #### getDatabaseMetadata

          org.eclipse.emf.ecore.EClass getDatabaseMetadata()

      Returns the meta object for class '`Metadata`'.
      Returns:
        the meta object for class 'Metadata'.
      See Also:
        `DatabaseMetadata`

    - #### getDatabaseMetadata_ImportDate

          org.eclipse.emf.ecore.EAttribute getDatabaseMetadata_ImportDate()

      Returns the meta object for the attribute '`Import Date`'.
      Returns:
        the meta object for the attribute 'Import Date'.
      See Also:
        `DatabaseMetadata.getImportDate()`, `getDatabaseMetadata()`

    - #### getDatabaseMetadata_TableMetadataList

          org.eclipse.emf.ecore.EReference getDatabaseMetadata_TableMetadataList()

      Returns the meta object for the containment reference list '`Table Metadata List`'.
      Returns:
        the meta object for the containment reference list 'Table Metadata List'.
      See Also:
        `DatabaseMetadata.getTableMetadataList()`, `getDatabaseMetadata()`

    - #### getDatabaseFactory

          DatabaseFactory getDatabaseFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.